Перейти к содержимому


Фотография

Русификация DJI GO (Андроид)

dji русификация go программы

  • Авторизуйтесь для ответа в теме
Сообщений в теме: 2438

  #94861 OFFLINE   yurikss

yurikss

    Опытный летчик АС

  • Модераторы
  • 1 570 сообщений
  • Город:Москва
  • Коптер:Мэвик 1,2

Отправлено 27 Февраль 2017 - 02:13

Тема создана для тех кому интересней читать на русском чем на английском (китайском и т.д.),конечно же для тех у кого трудности с языкам и просто кому интересно.
Очень приветствуются люди знакомые с программированием и хорошо знающие языки.
Приветствуется указание на ошибки сделанные в переводе.

Пока выложим последние версии программ,со временем в шапке будут собраны все версии программы.





На настоящий момент мы имеем две разновидности программы от DJI:
DJI GO Так называемая старая версия для фантомов третей серии,инспайеров 1 и ОСМО
Программа поддерживается на андроидах от версии 4.1.2 и выше.

DJI GO 4 Программа поддерживается на андроидах от версии 4.4 и выше
Поддерживает инспайер 2,мэвик,фантом 4 всех мастей,спарк.

Установка русской версии на Р4Р+ пока невозможна.

Из за особенностей программы просто подменить языковой файл нельзя,посему выкладываемые файлы это не русификаторы а программы в сборе.



Установка;(Касается только старых версий,новые ставятся без гемороя)







Внизу поста ссылка на папку со всеми старыми версиями как русифицированными,так и оригинальными.



ЗЫЫ
Для тех кто здесь недавно,или просто не видел тему:
1 - Господ считающих что для освоения программы достаточно выучить десяток слов просьба проходить мимо - последний языковой файл программы DJI GO состоит из 8 000 строк что сопоставимо с романом среднего размера.
2 - Русификация джидайцам предлагалась,вместо содействия получили санкции.
3 - Кому нужна программа для IOS,вэлкам в соседнюю тему.
4 - В программе не изменены никакие системные файлы,посему все - "не ловит спутники,не соединяется,улетел в Китай и т.д."это в обсуждение программ по Вашему коптеру.
5 - Так сказать напоминание:
Господа пилоты,если на ваш вопрос в теме не отвечают,значит людям уже надоело писать одно и то же.Т.Е вам всё же придётся почитать тему и найти ответ на свой вопрос самостоятельно.

Если левая программа работает некорректно,для проверки,просто сносим подозрительную прогу,ставим оригинал и смотрим есть ли тот же глюк на официальной проге и только если косяк обнаружен исключительно на русской версии,отписываемся в теме о проблеме,дабы не смущать пустыми наветами других пользователей,ибо 99% глюков имеют китайские корни.

 

На сегодняшний день версия 4.1.22 последняя из переведёных и вскрытых.

Это значит что Мэвик Эйр,Мэвик2,Мэвик Зум пока летают на английском языке.

Проблема связана с защитой которую джидайцы навесили на программу.


 
 
 


Сообщение отредактировал yurikss: 10 Апрель 2019 - 06:19
добавлены новые версии

  • 33

  #201 OFFLINE   sergeyhunter

sergeyhunter

    Начинающий летчик

  • Пользователи
  • Pip
  • 42 сообщений
  • Город:Южно-Сахалинск
  • Коптер:Phantom 3 Standart; Phantom 3 SE

Отправлено 26 Май 2017 - 02:29


переводить  её скорее всего не буду,равно как и 3.1.4 которая вообще шаг назад.

 

Доброго! Спасибо вам за непосильный труд. Но не смог не задать этот вопрос.

Пользовался версией 3.1.3 RU , но вчера при активации новой модели фантома 3 SE пришлось обновиться до последней 3.1.5 с маркета. Только она определила правильно эту модель и активация прошла штатно. Подозреваю, что теперь версию 3.1.3 RU использовать с фантомом 3 SE не получится.

В свете этих событий - вы не собираетесь поработать с 3.1.5?



Добавлено позже (26 Май 2017 - 10:29)


В дополнении к посту. Пробовал подключить джигоу 3.1.3 RU к фантому 3SE - определяет его, как инспаер 1; просит обновить прошивку дрона, отсутствует видеосигнал. Вывод - видимо это версия программы не подходит к этой модели дрона.


Сообщение отредактировал sergeyhunter: 26 Май 2017 - 02:30

  • 0

  #202 OFFLINE   olegnsk

olegnsk

    Опытный летчик АС

  • Модераторы
  • 7 702 сообщений
  • Город:Москва, исторически Новосибирск и Камчатка
  • Коптер:младшенький Mavic и ещё небольшая эскадрилья

Отправлено 26 Май 2017 - 03:02

sergeyhunter, извините, не хочу ни  грубить ни обидеть, но коль решились на чисто китайскую модель, то хотя бы учите английский. Ради чего руссифицировать  приложение??!!


  • 0

  #203 OFFLINE   Alevpi

Alevpi

    Летчик

  • Пользователи
  • PipPip
  • 65 сообщений
  • Город:Москва
  • Коптер:Mavic Pro

Отправлено 26 Май 2017 - 09:10

olegnsk,

 

А с чего она стала чисто китайском моделью, у меня из Китая европейская модель, да и в книжечках есть раздел на русском, да и на сайте DJI русский язык на ровне с остальными.


  • 0

  #204 OFFLINE   sergeyhunter

sergeyhunter

    Начинающий летчик

  • Пользователи
  • Pip
  • 42 сообщений
  • Город:Южно-Сахалинск
  • Коптер:Phantom 3 Standart; Phantom 3 SE

Отправлено 26 Май 2017 - 09:51


sergeyhunter, извините, не хочу ни  грубить ни обидеть, но коль решились на чисто китайскую модель, то хотя бы учите английский. Ради чего руссифицировать  приложение??!!

Это не чисто китаец, у него на упаковочной коробке даже описание на русском, могу фото прикрепить. То есть на будущее распространение рассчитано.

Английский я знаю, но многие из тех, кто купить его - знают только родной язык и проще в стрессовой ситуации(которая может произойти в любой момент полета) - читать на русском по экрану планшета.


  • 0

  #205 OFFLINE   yurikss

yurikss

    Опытный летчик АС

  • Модераторы
  • 1 570 сообщений
  • Город:Москва
  • Коптер:Мэвик 1,2

Отправлено 26 Май 2017 - 10:39

sergeyhunter,
Вечером гляну,если немного переводить сделаю.
Если весь текст - данунах,тем более и проверять то уже не на чем.
  • 0

  #206 OFFLINE   sergeyhunter

sergeyhunter

    Начинающий летчик

  • Пользователи
  • Pip
  • 42 сообщений
  • Город:Южно-Сахалинск
  • Коптер:Phantom 3 Standart; Phantom 3 SE

Отправлено 26 Май 2017 - 11:52


sergeyhunter, Вечером гляну,если немного переводить сделаю. Если весь текст - данунах,тем более и проверять то уже не на чем.

Спасибо за доброе отношение и ваше участие!!!.

Я впрочем не за себя прошу, но вижу по личным сообщениям(уже забросали вопросами во всех контактах, на форумах) - многие хотят купить этот дрон. Он самый оптимальный по соотношению - цена, качество, функционал. Но отлично выполненная 3.1.3 RU не подойдет для управления.


  • 1

  #207 OFFLINE   Abs

Abs

    Начинающий летчик

  • Пользователи
  • Pip
  • 33 сообщений
  • Город:Химки

Отправлено 27 Май 2017 - 10:59

Добрый день всем!

Только что первый раз включал Фантом 4 в комнате. Тренируюсь пока дома.

Установил старую версию DJI GO 2.8.3 ru noForcedUpgrade, потому, что телефон достаточно слабый.

Но картинка всё равно рассыпается и запаздывает.

Не подскажете, какую лучше использовать версию DJI GO для слабых телефонов, чтобы видеолинк

был приемлимый?


  • 0

  #208 OFFLINE   phan

phan

    Начинающий летчик

  • Пользователи
  • Pip
  • 9 сообщений
  • Город:Москва
  • Коптер:Mavic Pro

Отправлено 27 Май 2017 - 02:42

Друзья, подскажите, а использование русской версии влияет на гарантию? Там логи русские к примеру, версия не официальная...


  • 0

  #209 OFFLINE   yurikss

yurikss

    Опытный летчик АС

  • Модераторы
  • 1 570 сообщений
  • Город:Москва
  • Коптер:Мэвик 1,2

Отправлено 27 Май 2017 - 04:29

Abs,

Отключите кеширование видео,не поможет - значит пора покупать новый телефон.


Добавлено позже (27 Май 2017 - 17:29)


Там логи русские к примеру

Логи там не русские,можете посмотреть язык логов по адресу DJI/dji.go.v4/FlightLog. и DJI/dji.go.v4/FlightRecord

Те логи что отображаются в программе ,пишутся только для пользователя и никакой технической информации не несут.

Что касаемо гарантии спрашивали сотни раз - без ответа.

Но никто не писал что его завернули из за левой версии.


  • 0

  #210 OFFLINE   phan

phan

    Начинающий летчик

  • Пользователи
  • Pip
  • 9 сообщений
  • Город:Москва
  • Коптер:Mavic Pro

Отправлено 27 Май 2017 - 06:24

yurikss, спасибо, понял. Вроде искал, но про "сотню раз" ничего не нашел...:)


  • 0

  #211 OFFLINE   olegnsk

olegnsk

    Опытный летчик АС

  • Модераторы
  • 7 702 сообщений
  • Город:Москва, исторически Новосибирск и Камчатка
  • Коптер:младшенький Mavic и ещё небольшая эскадрилья

Отправлено 27 Май 2017 - 06:25


"сотню раз" ничего не нашел..
DJI спрашивали, а не коллег.
  • 0

  #212 OFFLINE   phan

phan

    Начинающий летчик

  • Пользователи
  • Pip
  • 9 сообщений
  • Город:Москва
  • Коптер:Mavic Pro

Отправлено 27 Май 2017 - 07:13

olegnsk, учту:) 


  • 0

  #213 OFFLINE   yurikss

yurikss

    Опытный летчик АС

  • Модераторы
  • 1 570 сообщений
  • Город:Москва
  • Коптер:Мэвик 1,2

Отправлено 27 Май 2017 - 10:35

Я впрочем не за себя прошу, но вижу по личным сообщениям(уже забросали вопросами во всех контактах, на форумах)

 

Уболтали черти языкастые )))

 

DJI GO v3.1.5 rus

 

Проверить смог только установку на тело,свою эскадрилью распродал,с мевиком и прочими новомодными побрякушками прога водится отказалась наотрез.

Так что рулите сами,но вроде всё ровно.

Прикрепленные изображения

  • 2017-05-26 20-27-26.PNG
  • Screenshot_2017-05-27-22-15-15.jpg
  • Screenshot_2017-05-27-22-13-03.jpg
  • Screenshot_2017-05-27-22-16-09.jpg
  • Screenshot_2017-05-27-22-16-49.jpg

Сообщение отредактировал yurikss: 05 Июнь 2017 - 08:57

  • 3

  #214 OFFLINE   Abs

Abs

    Начинающий летчик

  • Пользователи
  • Pip
  • 33 сообщений
  • Город:Химки

Отправлено 28 Май 2017 - 12:26

yurikss,

Спасибо, захотел попробовать эту версию DJI GO v3.1.5 rus

А где взять оригинальную v3.1.5, чтобы потом подменить её данным файлом base.apk ?

 

Кстати, хотел отметить, что предыдущая версия DJI GO 3.1.3 на русском  у меня просто летает, ничего не тормозит,

видеолинк отличный, можно выбирать вручную каналы! Присутствует карта и другие плюшки.

В общем пока остановился на ней.

 

Но если v3.1.5 будет по крайне мере не хуже, то это вообще замечательно!


Сообщение отредактировал Abs: 28 Май 2017 - 12:34

  • 0

  #215 OFFLINE   olegnsk

olegnsk

    Опытный летчик АС

  • Модераторы
  • 7 702 сообщений
  • Город:Москва, исторически Новосибирск и Камчатка
  • Коптер:младшенький Mavic и ещё небольшая эскадрилья

Отправлено 28 Май 2017 - 12:37

В 3.1.5. для текущих коптеров (кроме SE) реально нет ничего. Вам всем из принципа быть на крайней версии это надо  :db:


  • 0

  #216 OFFLINE   sergeyhunter

sergeyhunter

    Начинающий летчик

  • Пользователи
  • Pip
  • 42 сообщений
  • Город:Южно-Сахалинск
  • Коптер:Phantom 3 Standart; Phantom 3 SE

Отправлено 28 Май 2017 - 06:19


Уболтали черти языкастые )))

Маэстро!

Вам низкий поклон от себя и других счастливых обладателей DJI Phantom 3 SE.

Надеюсь, большой жирный плюс прибавится к вашей карме!

 

P.S. Повторюсь, если бы была ссылка - с удовольствием перевел на "дальнейшее развитие и углубленное изучение прикладных программ для БПЛА".

Подумайте еще раз, предложение от чистого сердца. Грех отказываться!



Добавлено позже (28 Май 2017 - 14:19)


где взять оригинальную v3.1.5
Play Market
  • 0

  #217 OFFLINE   yurikss

yurikss

    Опытный летчик АС

  • Модераторы
  • 1 570 сообщений
  • Город:Москва
  • Коптер:Мэвик 1,2

Отправлено 28 Май 2017 - 10:05


где взять оригинальную v3.1.5,

В шапке темы есть архив ,там лежат все оригинальные и неоригинальные версии программ.


  • 2

  #218 OFFLINE   Abs

Abs

    Начинающий летчик

  • Пользователи
  • Pip
  • 33 сообщений
  • Город:Химки

Отправлено 28 Май 2017 - 11:29

olegnsk,

Если особых изменений в новой версии нет, то конечно не обязательно ставить. Но sergeyhunter писал, что его заставили обновиться принудительно. Если будет и у других такакая ситуация, то теперь есть вариант решения.


  • 0

  #219 OFFLINE   sergeyhunter

sergeyhunter

    Начинающий летчик

  • Пользователи
  • Pip
  • 42 сообщений
  • Город:Южно-Сахалинск
  • Коптер:Phantom 3 Standart; Phantom 3 SE

Отправлено 28 Май 2017 - 11:34

Подключил пока дома 3.1.5 RU к 3 SE - все работает отлично. Осталось проверить в полете.



Добавлено позже (28 Май 2017 - 19:34)


sergeyhunter писал, что его заставили обновиться принудительно

Меня никто не заставлял обновляться, вы неверно формулируете. Просто 3 SE не поддерживается версией 3.1.3 RU. Последней с маркета 3.1.5 - пожалуйста.


  • 0

  #220 OFFLINE   Abs

Abs

    Начинающий летчик

  • Пользователи
  • Pip
  • 33 сообщений
  • Город:Химки

Отправлено 28 Май 2017 - 12:12


Просто 3 SE не поддерживается версией 3.1.3 RU. Последней с маркета 3.1.5 - пожалуйста.

Понятно. А у меня получлся обратный вариант - более новая 3.1.5 не поддерживает Фантомы 4-й серии. Требует загрузить GO 4.

А более старая 3.1.3 поддерживает. Странно.


  • 0





Темы с аналогичным тегами dji, русификация, go, программы

Количество пользователей, читающих эту тему: 2

0 пользователей, 2 гостей, 0 анонимных




Яндекс.Метрика

Сайт работает на хостинге FASTVPS